<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fboard_control/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fboard_control/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fboard_control/locale/English.php";
}

if(isset($_POST['update'])){
$query = dbquery("UPDATE ".$db_prefix."fboard_control SET fbc_view='".stripinput($_POST['fbc_view'])."', fbc_ranks='".stripinput($_POST['fbc_ranks'])."', fbc_medals='".stripinput($_POST['fbc_medals'])."'");
redirect(FUSION_SELF.$aidlink."&update=true");
}

if($update == "true") echo "<b>".$locale['fbc200']."</b><br /><br />";

opentable($locale['fbc300']);
$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."fboard_control"));
echo "<form action='".FUSION_SELF.$aidlink."' method='post'>
".$locale['fbc301']." <select name='fbc_view' class='textbox'>
<option value='1'".($data['fbc_view'] == "1" ? " SELECTED" : "").">".$locale['fbc302']."</option>
<option value='2'".($data['fbc_view'] == "2" ? " SELECTED" : "").">".$locale['fbc303']."</option>
</select><br />
".$locale['fbc307']." <select name='fbc_ranks' class='textbox'>
<option value='1'".($data['fbc_ranks'] == "1" ? " SELECTED" : "").">".$locale['fbc305']."</option>
<option value='0'".($data['fbc_ranks'] == "0" ? " SELECTED" : "").">".$locale['fbc306']."</option>
</select><br />
".$locale['fbc304']." <select name='fbc_medals' class='textbox'>
<option value='1'".($data['fbc_medals'] == "1" ? " SELECTED" : "").">".$locale['fbc305']."</option>
<option value='0'".($data['fbc_medals'] == "0" ? " SELECTED" : "").">".$locale['fbc306']."</option>
</select><br />
<br />
<input type='submit' name='update' value='".$locale['fbc308']."' class='button'>
</form>";

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>